Bug 8650 - ftntoss don't work
: ftntoss don't work
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/fidogate)
: unstable
: all Linux
: P3 critical
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-12-15 02:03 by
Modified: 2006-05-10 14:32 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-12-15 02:03:23
На fidogate-5.2.2-alt1 и fidogate-5.2.2-alt2 как-то совсем хреново работает
ftntoss. Логи strace:

----------------------------------------------------------------
[pid  5635] stat64("/var/lib/fidogate/fareas.bbs.lock", 0xbfb30cfc) = -1 ENOENT
(No such file or directory)
[pid  5635] open("/var/lib/fidogate/fareas.bbs.lock", O_WRONLY|O_CREAT|O_TRUNC,
0666) = 3
[pid  5635] getpid()                    = 5635
[pid  5635] fstat64(3, {st_mode=S_IFREG|0644, st_size=0, ...}) = 0
[pid  5635] mmap2(NULL, 131072, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_ANONYMOUS,
-1, 0) = 0x40015000
[pid  5635] write(3, "5635\n", 5)       = 5
[pid  5635] close(3)                    = 0
[pid  5635] munmap(0x40015000, 131072)  = 0
[pid  5635] open("/etc/fidogate/ffidokill", O_RDONLY) = 3
[pid  5635] fstat64(3, {st_mode=S_IFREG|0644, st_size=0, ...}) = 0
[pid  5635] mmap2(NULL, 131072, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_ANONYMOUS,
-1, 0) = 0x40015000
[pid  5635] read(3, "", 131072)         = 0
[pid  5635] close(3)                    = 0
[pid  5635] munmap(0x40015000, 131072)  = 0
[pid  5635] open("/etc/fidogate/uplinks", O_RDONLY) = 3
[pid  5635] fstat64(3, {st_mode=S_IFREG|0664, st_size=451, ...}) = 0
[pid  5635] mmap2(NULL, 131072, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_ANONYMOUS,
-1, 0) = 0x40015000
[pid  5635] read(3, "# Robot type    Area pattern\t\t\tU"..., 131072) = 451
[pid  5635] read(3, "", 131072)         = 0
[pid  5635] close(3)                    = 0
[pid  5635] munmap(0x40015000, 131072)  = 0
[pid  5635] --- SIGSEGV (Segmentation fault) @ 0 (0) ---
Process 5634 resumed
Process 5635 detached


----------------------------------------------------------------
execve("/usr/bin/runinc", ["runinc", "-o"], [/* 34 vars */]) = 0
uname({sys="Linux", node="home.vvk.pp.ru", ...}) = 0
brk(0)                                  = 0x8055000
access("/etc/ld.so.preload", R_OK)      = -1 ENOENT (No such file or directory)
open("/etc/ld.so.cache", O_RDONLY)      = 3
fstat64(3, {st_mode=S_IFREG|0644, st_size=80030, ...}) = 0
mmap2(NULL, 80030, PROT_READ, MAP_PRIVATE, 3, 0) = 0x40000000
close(3)                                = 0
open("/usr/lib/libfidogate.so.5", O_RDONLY) = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0000\32j"..., 512) = 512
fstat64(3, {st_mode=S_IFREG|0644, st_size=176488, ...}) = 0
mmap2(0x43699000, 294624, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0)
= 0x43699000
mmap2(0x436c2000, 12288, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x28) = 0x436c2000
mmap2(0x436c5000, 114400, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x436c5000
close(3)                                = 0
open("/lib/libc.so.6", O_RDONLY)        = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0peBL4\0"..., 512) = 512
fstat64(3, {st_mode=S_IFREG|0755, st_size=1142992, ...}) = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0x40014000
mmap2(0x4c411000, 1146964, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3,
0)
= 0x4c411000
mmap2(0x4c523000, 16384, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x112) = 0x4c523000
mmap2(0x4c527000, 8276, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x4c527000
close(3)                                = 0
mprotect(0x4c523000, 4096, PROT_READ)   = 0
munmap(0x40000000, 80030)               = 0
getuid32()                              = 109
geteuid32()                             = 109
brk(0)                                  = 0x8055000
brk(0x8076000)                          = 0x8076000
open("/etc/fidogate/fidogate.conf", O_RDONLY) = 3
fstat64(3, {st_mode=S_IFREG|0664, st_size=21570, ...}) = 0
mmap2(NULL, 131072, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0x40015000
read(3, "#\n# $Id: fidogate.conf.sample.in"..., 131072) = 21570
read(3, "", 131072)                     = 0
close(3)                                = 0
munmap(0x40015000, 131072)              = 0
stat64("/var/spool/ftn/in/secure/tmpunpack", {st_mode=S_IFDIR|0750, st_size=48,
...}) = 0
stat64("/var/spool/ftn/in/tmpunpack", {st_mode=S_IFDIR|0750, st_size=48, ...})
= 0
stat64("/var/run/fidogate/runinc", 0xbfd53f8c) = -1 ENOENT (No such file or
directory)
open("/var/run/fidogate/runinc", O_WRONLY|O_CREAT|O_TRUNC, 0666) = -1 ENOENT
(No
such file or directory)
chdir("/var/spool/fidogate/outpkt")     = 0
chdir("/var/spool/fidogate/outpkt/tmpunpack") = -1 ENOENT (No such file or
directory)
open("/var/spool/fidogate/outpkt", O_RDONLY|O_NONBLOCK|O_LARGEFILE|O_DIRECTORY)
= 3
fstat64(3, {st_mode=S_IFDIR|0775, st_size=96, ...}) = 0
fcntl64(3, F_SETFD, FD_CLOEXEC)         = 0
mmap2(NULL, 135168, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0x40015000
getdents64(3, /* 4 entries */, 131072)  = 96
getdents64(3, /* 0 entries */, 131072)  = 0
chdir("/var/spool/fidogate/outpkt/mail") = 0
chdir("/var/spool/fidogate/outpkt/mail/tmpunpack") = -1 ENOENT (No such file or
directory)
open("/var/spool/fidogate/outpkt/mail",
O_RDONLY|O_NONBLOCK|O_LARGEFILE|O_DIRECTORY) = 4
fstat64(4, {st_mode=S_IFDIR|0775, st_size=48, ...}) = 0
fcntl64(4, F_SETFD, FD_CLOEXEC)         = 0
mmap2(NULL, 135168, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0x40036000
getdents64(4, /* 2 entries */, 131072)  = 48
getdents64(4, /* 0 entries */, 131072)  = 0
chdir("/var/spool/fidogate/outpkt/news") = 0
chdir("/var/spool/fidogate/outpkt/news/tmpunpack") = -1 ENOENT (No such file or
directory)
open("/var/spool/fidogate/outpkt/news",
O_RDONLY|O_NONBLOCK|O_LARGEFILE|O_DIRECTORY) = 5
fstat64(5, {st_mode=S_IFDIR|0775, st_size=80, ...}) = 0
fcntl64(5, F_SETFD, FD_CLOEXEC)         = 0
mmap2(NULL, 135168, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0x40057000
getdents64(5, /* 3 entries */, 131072)  = 80
getdents64(5, /* 0 entries */, 131072)  = 0
pipe([6, 7])                            = 0
fork(Process 14670 attached
)                                  = 14670
[pid 14669] close(7)                    = 0
[pid 14669] close(6)                    = 0
[pid 14669] waitpid(14670, Process 14669 suspended
 <unfinished ...>
[pid 14670] close(6)                    = 0
[pid 14670] dup2(7, 1)                  = 1
[pid 14670] close(7)                    = 0
[pid 14670] execve("/bin/sh", ["sh", "-c", "df -P
/var/spool/fidogate/outpkt"...], [/* 34 vars */]) = 0
[pid 14670] uname({sys="Linux", node="home.vvk.pp.ru", ...}) = 0
[pid 14670] brk(0)                      = 0x80a9000
[pid 14670] access("/etc/ld.so.preload", R_OK) = -1 ENOENT (No such file or
directory)
[pid 14670] open("/etc/ld.so.cache", O_RDONLY) = 3
[pid 14670] fstat64(3, {st_mode=S_IFREG|0644, st_size=80030, ...}) = 0
[pid 14670] mmap2(NULL, 80030, PROT_READ, MAP_PRIVATE, 3, 0) = 0x40000000
[pid 14670] close(3)                    = 0
[pid 14670] open("/lib/libdl.so.2", O_RDONLY) = 3
[pid 14670] read(3,
"\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\260\33"...,
512) = 512
[pid 14670] fstat64(3, {st_mode=S_IFREG|0644, st_size=11044, ...}) = 0
[pid 14670] mmap2(0x4c551000, 12388, PROT_READ|PROT_EXEC,
MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x4c551000
[pid 14670] mmap2(0x4c553000, 8192, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x1) = 0x4c553000
[pid 14670] close(3)                    = 0
[pid 14670] open("/lib/libc.so.6", O_RDONLY) = 3
[pid 14670] read(3,
"\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0peBL4\0"...,
512) = 512
[pid 14670] fstat64(3, {st_mode=S_IFREG|0755, st_size=1142992, ...}) = 0
[pid 14670] mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS,
-1, 0) = 0x40014000
[pid 14670] mmap2(0x4c411000, 1146964, PROT_READ|PROT_EXEC,
MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x4c411000
[pid 14670] mmap2(0x4c523000, 16384, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x112) = 0x4c523000
[pid 14670] mmap2(0x4c527000, 8276, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x4c527000
[pid 14670] close(3)                    = 0
[pid 14670] mprotect(0x4c523000, 4096, PROT_READ) = 0
[pid 14670] munmap(0x40000000, 80030)   = 0
[pid 14670] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 14670] open("/dev/tty", O_RDWR|O_NONBLOCK|O_LARGEFILE) = 3
[pid 14670] close(3)                    = 0
[pid 14670] brk(0)                      = 0x80a9000
[pid 14670] brk(0x80aa000)              = 0x80aa000
[pid 14670] brk(0x80ab000)              = 0x80ab000
[pid 14670] getuid32()                  = 109
[pid 14670] getgid32()                  = 35
[pid 14670] geteuid32()                 = 109
[pid 14670] getegid32()                 = 35
[pid 14670] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 14670] time(NULL)                  = 1134599591
[pid 14670] brk(0x80ac000)              = 0x80ac000
[pid 14670] brk(0x80ad000)              = 0x80ad000
[pid 14670] open("/etc/mtab", O_RDONLY) = 3
[pid 14670] fstat64(3, {st_mode=S_IFREG|0644, st_size=816, ...}) = 0
[pid 14670] mmap2(NULL, 131072, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_ANONYMOUS,
-1, 0) = 0x40015000
[pid 14670] read(3, "/dev/hda5 / reiserfs rw,notail 0"..., 131072) = 816
[pid 14670] close(3)                    = 0
[pid 14670] munmap(0x40015000, 131072)  = 0
[pid 14670] open("/proc/meminfo", O_RDONLY) = 3
[pid 14670] fstat64(3, {st_mode=S_IFREG|0444, st_size=0, ...}) = 0
[pid 14670] mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS,
-1, 0) = 0x40015000
[pid 14670] read(3, "MemTotal:       776488 kB\nMemFre"..., 1024) = 670
[pid 14670] close(3)                    = 0
[pid 14670] munmap(0x40015000, 4096)    = 0
[pid 14670] brk(0x80ae000)              = 0x80ae000
[pid 14670] rt_sigaction(SIGCHLD, {SIG_DFL}, {SIG_DFL}, 8) = 0
[pid 14670] rt_sigaction(SIGCHLD, {SIG_DFL}, {SIG_DFL}, 8) = 0
[pid 14670] rt_sigaction(SIGINT, {SIG_DFL}, {SIG_DFL}, 8) = 0
[pid 14670] rt_sigaction(SIGINT, {SIG_DFL}, {SIG_DFL}, 8) = 0
[pid 14670] rt_sigaction(SIGQUIT, {SIG_DFL}, {SIG_DFL}, 8) = 0
[pid 14670] rt_sigaction(SIGQUIT, {SIG_DFL}, {SIG_DFL}, 8) = 0
[pid 14670] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 14670] rt_sigaction(SIGQUIT, {SIG_IGN}, {SIG_DFL}, 8) = 0
[pid 14670] rt_sigaction(SIGWINCH, {0x8070370, [], 0}, {SIG_DFL}, 8) = 0
[pid 14670] uname({sys="Linux", node="home.vvk.pp.ru", ...}) = 0
[pid 14670] stat64("/var/lib/ftn", {st_mode=S_IFDIR|0750, st_size=192, ...}) =
0
[pid 14670] stat64(".", {st_mode=S_IFDIR|0775, st_size=80, ...}) = 0
[pid 14670] brk(0x80b0000)              = 0x80b0000
[pid 14670] getcwd("/var/spool/fidogate/outpkt/news", 4096) = 32
[pid 14670] getpid()                    = 14670
[pid 14670] getppid()                   = 14669
[pid 14670] stat64(".", {st_mode=S_IFDIR|0775, st_size=80, ...}) = 0
[pid 14670] stat64("/var/lib/ftn/bin/sh", 0xbfb27430) = -1 ENOENT (No such file
or directory)
[pid 14670] stat64("/bin/sh", {st_mode=S_IFREG|0755, st_size=382976, ...}) = 0
[pid 14670] open("/proc/sys/kernel/ngroups_max", O_RDONLY) = 3
[pid 14670] read(3, "65536\n", 31)      = 6
[pid 14670] close(3)                    = 0
[pid 14670] brk(0x8130000)              = 0x8130000
[pid 14670] getgroups32(65536, [13, 14, 35]) = 3
[pid 14670] stat64("/bin/sh", {st_mode=S_IFREG|0755, st_size=382976, ...}) = 0
[pid 14670] brk(0x8131000)              = 0x8131000
[pid 14670] getpgrp()                   = 14639
[pid 14670] rt_sigaction(SIGCHLD, {0x806e7f0, [], 0}, {SIG_DFL}, 8) = 0
[pid 14670] ioctl(2, SNDCTL_TMR_TIMEBASE or TCGETS, 0xbfb275b0) = -1 ENOTTY
(Inappropriate ioctl for device)
[pid 14670] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 14670] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 14670] brk(0x8132000)              = 0x8132000
[pid 14670] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 14670] stat64(".", {st_mode=S_IFDIR|0775, st_size=80, ...}) = 0
[pid 14670] stat64("/var/lib/ftn/bin/df", 0xbfb27380) = -1 ENOENT (No such file
or directory)
[pid 14670] stat64("/bin/df", {st_mode=S_IFREG|0755, st_size=37172, ...}) = 0
[pid 14670] stat64("/bin/df", {st_mode=S_IFREG|0755, st_size=37172, ...}) = 0
[pid 14670] brk(0x8133000)              = 0x8133000
[pid 14670] rt_sigaction(SIGINT, {SIG_DFL}, {SIG_DFL}, 8) = 0
[pid 14670] rt_sigaction(SIGQUIT, {SIG_DFL}, {SIG_IGN}, 8) = 0
[pid 14670] rt_sigaction(SIGCHLD, {SIG_DFL}, {0x806e7f0, [], 0}, 8) = 0
[pid 14670] execve("/bin/df", ["df", "-P", "/var/spool/fidogate/outpkt/news"],
[/* 34 vars */]) = 0
[pid 14670] uname({sys="Linux", node="home.vvk.pp.ru", ...}) = 0
[pid 14670] brk(0)                      = 0x8051000
[pid 14670] access("/etc/ld.so.preload", R_OK) = -1 ENOENT (No such file or
directory)
[pid 14670] open("/etc/ld.so.cache", O_RDONLY) = 3
[pid 14670] fstat64(3, {st_mode=S_IFREG|0644, st_size=80030, ...}) = 0
[pid 14670] mmap2(NULL, 80030, PROT_READ, MAP_PRIVATE, 3, 0) = 0x40000000
[pid 14670] close(3)                    = 0
[pid 14670] open("/lib/libc.so.6", O_RDONLY) = 3
[pid 14670] read(3,
"\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0peBL4\0"...,
512) = 512
[pid 14670] fstat64(3, {st_mode=S_IFREG|0755, st_size=1142992, ...}) = 0
[pid 14670] mmap2(0x4c411000, 1146964, PROT_READ|PROT_EXEC,
MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x4c411000
[pid 14670] mmap2(0x4c523000, 16384, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x112) = 0x4c523000
[pid 14670] mmap2(0x4c527000, 8276, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x4c527000
[pid 14670] close(3)                    = 0
[pid 14670] mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS,
-1, 0) = 0x40014000
[pid 14670] mprotect(0x4c523000, 4096, PROT_READ) = 0
[pid 14670] munmap(0x40000000, 80030)   = 0
[pid 14670] brk(0)                      = 0x8051000
[pid 14670] brk(0x8072000)              = 0x8072000
[pid 14670] stat64("/var/spool/fidogate/outpkt/news", {st_mode=S_IFDIR|0775,
st_size=80, ...}) = 0
[pid 14670] open("/etc/mtab", O_RDONLY) = 3
[pid 14670] fstat64(3, {st_mode=S_IFREG|0644, st_size=816, ...}) = 0
[pid 14670] mmap2(NULL, 131072, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_ANONYMOUS,
-1, 0) = 0x40015000
[pid 14670] read(3, "/dev/hda5 / reiserfs rw,notail 0"..., 131072) = 816
[pid 14670] read(3, "", 131072)         = 0
[pid 14670] close(3)                    = 0
[pid 14670] munmap(0x40015000, 131072)  = 0
[pid 14670] fstat64(1, {st_mode=S_IFIFO|0600, st_size=0, ...}) = 0
[pid 14670] mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS,
-1, 0) = 0x40015000
[pid 14670] lstat64("/var", {st_mode=S_IFDIR|0755, st_size=584, ...}) = 0
[pid 14670] lstat64("/var/spool", {st_mode=S_IFDIR|0755, st_size=368, ...}) = 0
[pid 14670] lstat64("/var/spool/fidogate", {st_mode=S_IFDIR|0775, st_size=120,
...}) = 0
[pid 14670] lstat64("/var/spool/fidogate/outpkt", {st_mode=S_IFDIR|0775,
st_size=96, ...}) = 0
[pid 14670] lstat64("/var/spool/fidogate/outpkt/news", {st_mode=S_IFDIR|0775,
st_size=80, ...}) = 0
[pid 14670] stat64("/var", {st_mode=S_IFDIR|0755, st_size=584, ...}) = 0
[pid 14670] statfs64("/var/spool/fidogate/outpkt/news", 84,
{f_type="REISERFS_SUPER_MAGIC", f_bsize=4096, f_blocks=2443796, f_bfree=608551,
f_bavail=608551, f_files=0, f_ffree=0, f_fsid={0, 0}, f_namelen=255,
f_frsize=4096}) = 0
[pid 14670] write(1, "Filesystem         1024-blocks  "..., 136) = -1 EPIPE
(Broken pipe)
[pid 14670] --- SIGPIPE (Broken pipe) @ 0 (0) ---
Process 14669 resumed
Process 14670 detached
<... waitpid resumed> [{WIFSIGNALED(s) && WTERMSIG(s) == SIGPIPE}], 0) = 14670
--- SIGCHLD (Child exited) @ 0 (0) ---
rt_sigaction(SIGINT, {SIG_IGN}, {SIG_DFL}, 8) = 0
rt_sigaction(SIGQUIT, {SIG_IGN}, {SIG_DFL}, 8) = 0
rt_sigprocmask(SIG_BLOCK, [CHLD], [], 8) = 0
fork(Process 14671 attached
)                                  = 14671
[pid 14669] waitpid(14671, Process 14669 suspended
 <unfinished ...>


откатил на fidogate-5.2.1-alt5 - всё в шоколаде.
------- Comment #1 From 2006-04-24 23:48:14 -------
Andrey Slusar поправил это в снапшоте 2006-02-26, короче говоря fixed in
5.2.2-alt3